创建 windows10XSCEPCertificateProfile
命名空间:microsoft.graph
重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
创建新的 windows10XSCEPCertificateProfile 对象。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementServiceConfig.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementServiceConfig.ReadWrite.All |
HTTP 请求
POST /deviceManagement/resourceAccessProfiles
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 windows10XSCEPCertificateProfile 对象的 JSON 表示形式。
下表显示创建 windows10XSCEPCertificateProfile 时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | String | 配置文件标识符 继承自 deviceManagementResourceAccessProfileBase |
| version | Int32 | 配置文件的版本 继承自 deviceManagementResourceAccessProfileBase |
| displayName | String | 配置文件显示名称继承自 deviceManagementResourceAccessProfileBase |
| 说明 | String | 配置文件说明 继承自 deviceManagementResourceAccessProfileBase |
| creationDateTime | DateTimeOffset | DateTime 配置文件已创建 继承自 deviceManagementResourceAccessProfileBase |
| lastModifiedDateTime | DateTimeOffset | DateTime 配置文件上次修改时间 继承自 deviceManagementResourceAccessProfileBase |
| roleScopeTagIds | String collection | 范围标记 继承自 deviceManagementResourceAccessProfileBase |
| certificateStore | certificateStore | 目标存储证书。 可取值为:user、machine。 |
| certificateValidityPeriodScale | certificateValidityPeriodScale | 证书有效期的缩放。 可取值为:days、months、years。 |
| certificateValidityPeriodValue | Int32 | 证书有效期的值 |
| extendedKeyUsages | extendedKeyUsage 集合 | EKU (扩展密钥) 设置。 |
| hashAlgorithm | hashAlgorithms 集合 | SCEP 哈希算法。 可取值为:sha1、sha2。 |
| keySize | keySize | SCEP 密钥大小。 可取值为:size1024、size2048、size4096。 |
| keyStorageProvider | keyStorageProviderOption | Key 存储 Provider (KSP) 。 可取值为:useTpmKspOtherwiseUseSoftwareKsp、useTpmKspOtherwiseFail、usePassportForWorkKspOtherwiseFail、useSoftwareKsp。 |
| keyUsage | keyUsages | SCEP 密钥用法。 可取值为:keyEncipherment、digitalSignature。 |
| renewalThresholdPercentage | Int32 | 证书续订阈值百分比 |
| rootCertificateId | Guid | 受信任的根证书 ID |
| scepServerUrls | String collection | SCEP 服务器 URL () 。 |
| subjectAlternativeNameFormats | windows10XCustomSubjectAlternativeName 集合 | 自定义 AAD 属性。 |
| subjectNameFormatString | String | 要与 SubjectNameFormat 一同使用的自定义格式 = Custom。 示例:CN={{EmailAddress}},E={{EmailAddress},OU=Enterprise Users,O=Contoso Corporation,L=Redmond,ST=WA,C=US |
响应
如果成功,此方法在响应正文中返回 响应代码和 201 Created windows10XSCEPCertificateProfile 对象。
示例
请求
下面是一个请求示例。
POST https://graph.microsoft.com/beta/deviceManagement/resourceAccessProfiles
Content-type: application/json
Content-length: 1178
{
"@odata.type": "#microsoft.graph.windows10XSCEPCertificateProfile",
"version": 7,
"displayName": "Display Name value",
"description": "Description value",
"creationDateTime": "2017-01-01T00:00:43.1365422-08:00",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"certificateStore": "machine",
"certificateValidityPeriodScale": "months",
"certificateValidityPeriodValue": 14,
"extendedKeyUsages": [
{
"@odata.type": "microsoft.graph.extendedKeyUsage",
"name": "Name value",
"objectIdentifier": "Object Identifier value"
}
],
"hashAlgorithm": [
"sha2"
],
"keySize": "size2048",
"keyStorageProvider": "useTpmKspOtherwiseFail",
"keyUsage": "digitalSignature",
"renewalThresholdPercentage": 10,
"rootCertificateId": "ed919bbc-9bbc-ed91-bc9b-91edbc9b91ed",
"scepServerUrls": [
"Scep Server Urls value"
],
"subjectAlternativeNameFormats": [
{
"@odata.type": "microsoft.graph.windows10XCustomSubjectAlternativeName",
"sanType": "emailAddress",
"name": "Name value"
}
],
"subjectNameFormatString": "Subject Name Format String value"
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 1291
{
"@odata.type": "#microsoft.graph.windows10XSCEPCertificateProfile",
"id": "d174d58e-d58e-d174-8ed5-74d18ed574d1",
"version": 7,
"displayName": "Display Name value",
"description": "Description value",
"creationDateTime": "2017-01-01T00:00:43.1365422-08:00",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"certificateStore": "machine",
"certificateValidityPeriodScale": "months",
"certificateValidityPeriodValue": 14,
"extendedKeyUsages": [
{
"@odata.type": "microsoft.graph.extendedKeyUsage",
"name": "Name value",
"objectIdentifier": "Object Identifier value"
}
],
"hashAlgorithm": [
"sha2"
],
"keySize": "size2048",
"keyStorageProvider": "useTpmKspOtherwiseFail",
"keyUsage": "digitalSignature",
"renewalThresholdPercentage": 10,
"rootCertificateId": "ed919bbc-9bbc-ed91-bc9b-91edbc9b91ed",
"scepServerUrls": [
"Scep Server Urls value"
],
"subjectAlternativeNameFormats": [
{
"@odata.type": "microsoft.graph.windows10XCustomSubjectAlternativeName",
"sanType": "emailAddress",
"name": "Name value"
}
],
"subjectNameFormatString": "Subject Name Format String value"
}
反馈
提交和查看相关反馈